Superheroes
===========

Projects without which BDHero would not be possible:

*  [CinemaSquid BDInfo](http://www.cinemasquid.com/blu-ray/tools/bdinfo): Blu-ray analysis tool 
*  [FFmpeg](http://ffmpeg.org/): Cross-platform audio/video converter
*  [MKVToolNix](http://www.bunkus.org/videotools/mkvtoolnix/): Cross-platform tool suite for the [Matroska](http://matroska.org/) media container format (MKV)

Inspiration
===========

Tools that helped guide the features and interface of BDHero:

*  [HandBrake](http://handbrake.fr/): Cross-platform video transcoder
*  [VidCoder](http://vidcoder.codeplex.com/): HandBrake-based video transcoder for Windows
*  [tsMuxeR](http://www.videohelp.com/tools/tsMuxeR/): Abandoned MPEG Transport Stream and Matroska muxer
*  [MakeMKV](http://makemkv.com/‎): Cross-platform Blu-ray™/DVD to MKV muxer

Databases
=========

Open community-driven databases used by BDHero:

*  [TMDb](http://tmdb.org/) ([API reference](http://www.themoviedb.org/documentation/api)): Movie database
*  [TVDB](http://thetvdb.com/) ([API reference](http://thetvdb.com/wiki/index.php?title=Programmers_API)): TV show database
*  [ChapterDb](http://chapterdb.org/): Blu-ray and DVD chapter database

Libraries and Frameworks
========================

Projects that make programming more enjoyable:

*  [Ninject](http://www.ninject.org/): [Dependency Injection](http://stackoverflow.com/q/130794/467582) <abbr title="Inversion of Control">[IoC](http://en.wikipedia.org/wiki/Inversion_of_control)</abbr> container
*  [Apache log4net](http://logging.apache.org/log4net/): Logging framework
*  [Newtonsoft Json.NET](http://json.codeplex.com/): JSON serializer/deserializer
*  [RestSharp](http://restsharp.org/): Simple REST and HTTP API client
*  [WatTMDb](http://wattmdb.codeplex.com/): Wrapper for the [TMDb API](http://www.themoviedb.org/documentation/api)

Development Tools
=================

The best of the best of the best, _**sir**_!

*  [Git](http://git-scm.com/): Blazing fast cross-platform distributed version control system (VCS)
*  [Microsoft Visual Studio 2013](http://www.microsoft.com/visualstudio/)
*  [JetBrains ReSharper 8](http://www.jetbrains.com/resharper/): Code inspection, automated code refactoring, blazing fast navigation, and coding assistance
*  [Inno Setup](http://www.jrsoftware.org/isinfo.php): Fast, free setup builder for Windows
*  [BitRock InstallBuilder 8 Enterprise](http://installbuilder.bitrock.com/): Cross-platform installer (free for open source projects!)
*  [7-Zip](http://www.7-zip.org/): Free file archiver with superior compression ratios

FOSS Development Utilities
==========================

*  [MediaInfo](http://mediaarea.net/en/MediaInfo): Displays detailed technical information about media containers, tracks, and codecs (cross-platform)
*  [MPC-HC](http://mpc-hc.org/): Extremely light-weight open source media player (Windows only)
*  [Process Explorer](http://technet.microsoft.com/en-us/sysinternals/bb896653.aspx): Displays detailed technical information about Windows processes
*  [Link Shell Extension](http://schinagl.priv.at/nt/hardlinkshellext/hardlinkshellext.html): Windows shell extension that provides drag-and-drop symbolic linking (symlink)

Non-Free Development Utilities
==============================

*  [RegexBuddy](http://www.regexbuddy.com/): The best regular expression testing tool on the planet (Windows only)
*  [PowerGREP](http://www.powergrep.com/): Powerful regular expression file search-and-replace tool (Windows only)

Hosting
=======

*  [GitHub](https://github.com/): Centralized Git repository with integrated issue tracker
*  [Amazon Web Services](http://aws.amazon.com/): Virtual private servers (VPS), content delivery network (CDN), and domain name system (DNS) authority
